:root {
    --sidebar-width: clamp(20px, 8vw, 60px);
}

@font-face {
  font-family: "ht_neon";
  src: url("assets/ht_neon.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

.beam {
  position: absolute;
  background-image: url(assets/poutre_60.png);
  width: var(--sidebar-width);
  z-index: 1;
  background-size: 100% auto;
  background-repeat: repeat-y;
}

.top {
    top: var(--sidebar-width);
    left: 0;
    height: 100vw;
    transform: rotate(-90deg);
    transform-origin: top left;
}

.right {
    top: calc(var(--sidebar-width) / 2);
    right: 0;
    bottom: 0;
    width: var(--sidebar-width);
}

.left {
    top: calc(var(--sidebar-width) / 2);
    left: 0;
    bottom: 0;
    width: var(--sidebar-width);
}

.left-diagonal {
    top: 0;
    left: calc(var(--sidebar-width) * 4);
    height: calc(var(--sidebar-width) * 4 * sqrt(2));
    transform: rotate(45deg);
    transform-origin: top left;
}

.right-diagonal {
    top: 0;
    right: calc(var(--sidebar-width) * 4);
    height: calc(var(--sidebar-width) * 4 * sqrt(2));
    transform: rotate(-45deg);
    transform-origin: top right;
}

.test {
    background-color: green;
    height:2000px;
}

body {
    background-image: url(assets/dark_blue_brick.png);
    background-color: rgb(0, 0, 116);
    position: relative;
    margin: 0;
    padding: var(--sidebar-width);
    height: 100vh;
    box-sizing: border-box;
    /* background-image: url(assets/blue_brick_2.webp); */
}

.marquee {
  overflow-x: clip;
  overflow-y: visible;
  margin: 20px 0;
}

.marquee > div {
  display: inline-block;
  white-space: nowrap;
  animation: marquee 30s infinite linear;
  font-family: ht_neon;
  font-size: 80px;
  color: white;
}

.marquee > div > span {
  padding-right: 2em;
}

.marquee > div > span.red {
  text-shadow:
    0 0 5px #f00,
    0 0 10px #f00,
    0 0 20px #f00,
    0 0 40px #f00,
    0 0 80px #f00;
}

.marquee > div > span.green {
  text-shadow:
    0 0 5px #0f0,
    0 0 10px #0f0,
    0 0 20px #0f0,
    0 0 40px #0f0,
    0 0 80px #0f0;
}

.marquee > div > span.magenta {
  text-shadow:
    0 0 5px #f0f,
    0 0 10px #f0f,
    0 0 20px #f0f,
    0 0 40px #f0f,
    0 0 80px #f0f;
}

.container {
  margin: var(--sidebar-width);;
  display: flex;
  flex-wrap: wrap;
  gap: var(--sidebar-width);;
}

.container > div {
  flex: 1 1 200px;
  box-sizing: border-box;
  padding: 10px;
  background-color: white;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

#socials {
  max-width: 200px;
  background-color: salmon;
}

#projects {
  max-width: 400px;
  background-color: orange;
}

@keyframes marquee {
  0% {
    transform: translate3d(0,0,0);
  }
  100% {
    transform: translate3d(-50%,0,0);
  }
}

.iconlink {
  margin-left: 5px;
  white-space: nowrap;
}

.iconlink > img {
  width: 16px;
  height: 16px;
  vertical-align: bottom;
  margin-right: 5px;
}